#include<bits/stdc++.h>
using namespace std;
int c,t;
int read()
{
	int x=0,f=1;
	char c=getchar();
	while(c<'0'||c>'9')
	{
		if(c=='-') f=-1;
		c=getchar();
	}
	while(c>='0'&&c<='9')
	{
		x=x*10+c-'0';
		c=getchar();
	}
	return x*f;
}
int main()
{
	freopen("traverse.in","r",stdin);
	freopen("traverse.out","w",stdout);
	srand(time(0));
	c=read(),t=read();
	while(t--)
	{
		cout<<rand()<<endl;
	}
	return 0;
}
